Bug 1118912 - [abrt] libreoffice-core: gtk_default_draw_box(): soffice.bin killed by SIGILL
Summary: [abrt] libreoffice-core: gtk_default_draw_box(): soffice.bin killed by SIGILL
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90a31a88c35e458dea2a5ff89a1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 22:11 UTC by Kevin J. Cummings
Modified: 2014-07-15 08:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 08:16:51 UTC


Attachments (Terms of Use)
File: backtrace (69.58 KB, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: core_backtrace (23.34 KB, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: dso_list (15.58 KB, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: environ (2.00 KB, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: exploitable (103 bytes, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-11 22:11 UTC, Kevin J. Cummings
no flags Details
File: maps (76.31 KB, text/plain)
2014-07-11 22:12 UTC, Kevin J. Cummings
no flags Details
File: open_fds (503 bytes, text/plain)
2014-07-11 22:12 UTC, Kevin J. Cummings
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-07-11 22:12 UTC, Kevin J. Cummings
no flags Details
File: var_log_messages (29 bytes, text/plain)
2014-07-11 22:12 UTC, Kevin J. Cummings
no flags Details

Description Kevin J. Cummings 2014-07-11 22:11:25 UTC
Description of problem:
Unsuspended computer
Started libre office calc (from Applications Menu)
it died

Version-Release number of selected component:
libreoffice-core-4.2.5.2-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc --splash-pipe=5
crash_function: gtk_default_draw_box
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1630

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_default_draw_box at gtkstyle.c:3548
 #1 murrine_style_draw_box at src/murrine_style.c:1590
 #2 GtkSalGraphics::NWPaintGTKButtonReal at /usr/src/debug/libreoffice-4.2.5.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:1509
 #3 GtkSalGraphics::NWPaintGTKButton at /usr/src/debug/libreoffice-4.2.5.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:1544
 #4 GtkSalGraphics::drawNativeControl at /usr/src/debug/libreoffice-4.2.5.2/vcl/unx/gtk/gdi/salnativewidgets-gtk.cxx:844
 #5 SalGraphics::DrawNativeControl at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/salgdilayout.cxx:726
 #6 OutputDevice::DrawNativeControl at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/gdi/outdevnative.cxx:301
 #7 PushButton::ImplDrawPushButton at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/control/button.cxx:1080
 #8 Window::ImplCallPaint at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:2515
 #11 Window::Update at /usr/src/debug/libreoffice-4.2.5.2/vcl/source/window/window.cxx:7599

Comment 1 Kevin J. Cummings 2014-07-11 22:11:32 UTC
Created attachment 917438 [details]
File: backtrace

Comment 2 Kevin J. Cummings 2014-07-11 22:11:33 UTC
Created attachment 917439 [details]
File: cgroup

Comment 3 Kevin J. Cummings 2014-07-11 22:11:51 UTC
Created attachment 917440 [details]
File: core_backtrace

Comment 4 Kevin J. Cummings 2014-07-11 22:11:55 UTC
Created attachment 917441 [details]
File: dso_list

Comment 5 Kevin J. Cummings 2014-07-11 22:11:56 UTC
Created attachment 917442 [details]
File: environ

Comment 6 Kevin J. Cummings 2014-07-11 22:11:57 UTC
Created attachment 917443 [details]
File: exploitable

Comment 7 Kevin J. Cummings 2014-07-11 22:11:59 UTC
Created attachment 917444 [details]
File: limits

Comment 8 Kevin J. Cummings 2014-07-11 22:12:02 UTC
Created attachment 917445 [details]
File: maps

Comment 9 Kevin J. Cummings 2014-07-11 22:12:03 UTC
Created attachment 917446 [details]
File: open_fds

Comment 10 Kevin J. Cummings 2014-07-11 22:12:04 UTC
Created attachment 917447 [details]
File: proc_pid_status

Comment 11 Kevin J. Cummings 2014-07-11 22:12:04 UTC
Created attachment 917448 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-07-14 08:07:13 UTC
what's your gtk2 theme, because this will have to be theme related otherwise we'd crash for everyone out there on startup.

gconftool-2 --get /desktop/gnome/interface/gtk_theme

I'm guessing murrine because I see that string in the bt

Comment 13 David Tardon 2014-07-14 08:20:05 UTC
(In reply to Kevin J. Cummings from comment #0)
> Description of problem:
> Unsuspended computer
> Started libre office calc (from Applications Menu)
> it died

The first step makes me suspecting that this was caused by a memory corruption. Was the system otherwise usable? Is the libreoffice crash reproducible?

The second possibility is a bug in the theme engine: you seem to use Murrine. But that would most probably crash all the time.

Comment 14 Kevin J. Cummings 2014-07-14 13:25:55 UTC
Not memory corruption, memtest86 showed no problems.

Did another rash of updates (the system was otherwise usable) and upon reboot into the new kernel, mate wouldn't come up completely with mate-panel dying the same way libreoffice-core was dying.  Based on the reference to libgtk2-2.0.so.xxxxx I was able to:

yum reinstall gtk2

in a VC and when the yum finished re-installing gtk2 (both i686 and x86_64), the messages stopped, mate came up, my panels were OK, and libreoffice worked again.

Not sure what theme I'm using (the default?).  I can't remember actually changing it from anything to something else.

But the problem has gone away for me after re-installing gtk2.


Note You need to log in before you can comment on or make changes to this bug.